MINHERIT(2)

NAME
minherit - control the inheritance of pages

SYNOPSIS
#include <sys/types.h>
#include <sys/mman.h>
int
minherit(caddr_t addr, size_t len, int inherit);

DESCRIPTION
The minherit() system call changes the specified pages to have the inheritance characteristic inherit. Not all implementations will guarantee that the inheritance characteristic can be set on a page basis; the granularity of changes may be as large as an entire region.

RETURN VALUES
Upon successful completion, minherit() returns 0. Otherwise, a value of -1 is returned and errno is set to indicate the error.

ERRORS
The minherit() function will fail if:

[EINVAL]
    The virtual address range specified by the addr and len arguments is not valid.

[EACESS]
    The flags specified by the inherit argument were not valid for the pages specified by the addr and len arguments.

SEE ALSO
fork(2), madvise(2), mincore(2), mprotect(2), msync(2), munmap(2), rfork(2)

HISTORY
The minherit() function first appeared in OpenBSD.